Subject: Re: [PATCH v2 04/15] builtin/multi-pack-index.c: split sub-commands

From: Taylor Blau <[email-masked]>
Date: Wed, 3 Mar 2021 22:02:45 -0500

On Wed, Mar 03, 2021 at 05:54:44PM -0800, Jonathan Tan wrote:
> > On Mon, Mar 01, 2021 at 08:06:25PM -0800, Jonathan Tan wrote:
> > > > +static char const * const builtin_multi_pack_index_write_usage[] = {
> > > >  #define BUILTIN_MIDX_WRITE_USAGE \
> > > >  	N_("git multi-pack-index [<options>] write")
> > > > +	BUILTIN_MIDX_WRITE_USAGE,
> > > > +	NULL
> > > > +};
> > >
> > > I think this way of writing is vulnerable to confusing errors if a
> > > missing or extra backslash happens, so I would prefer the #define to be
> > > outside the variable declaration.
> >
> > Yeah, I can't say that I disagree with you. Of course, having the
> > #define's outside of the declaration makes the whole thing a little more
> > verbose, which isn't a huge deal.
>
> I think it's the same verbosity - you just need to move the lines?

Yeah, you're right. I'm being too subjective, and I don't really feel
strongly, either.

>
> > But I was mirroring what Ævar was doing in the sub-thread he started at:
> >
> >     https://public-inbox.org/git/[email-masked]/
> >
> > Unless you feel strongly, I think that what we have isn't so bad here.
>
> Yeah I don't feel that strongly about it.

I'll take your suggestion, thanks.

Thanks,
Taylor